# Deprecations

Deprecations are features of the API which you are discouraged from using, even though they may still be supported for a period of time for the sake of backwards compatibility. Such features are normally deprecated because they are superseded by a better alternative. They can include object properties, entire objects or entire API operations. The list of deprecations is as follows. Individual items are also highlighted in the [Changelog](/channel-manager-api/changelog.md) when they occur. Historic deprecations that have already been discontinued may not be listed. For more information, see our [Deprecations Policy](https://mews-systems.gitbook.io/open-api/staying-up-to-date/deprecations-policy).

> **Important:** We strongly advise you to review this list and if you are using any of the deprecated items in your integration, to update your implementation accordingly. If the feature change requires re-certification, please [contact Mews](mailto://partnersuccess@mews.com) before making the change.

The table columns have the following meanings:

* **Feature** - What entity or feature is being deprecated
* **Comments** - Additional information, such as the reason for the deprecation and what the replacement is
* **Deprecated** - The date at which the deprecation notice was given (see the [Changelog](/channel-manager-api/changelog.md))
* **Discontinued** - The date at which it is planned to discontinue support completely; a value of '-' indicates no date has been set

## Deprecated operations

| Feature | Comments | Deprecated | Discontinued |
| ------- | -------- | ---------- | ------------ |
| -       | -        | -          | -            |

## Deprecated properties

| Feature                                                                                                                                                                                                                            | Comments                                                                                                                                                                                                                                       | Deprecated    | Discontinued |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- | ------------ |
| `grossAmount` in [Rate](/channel-manager-api/mews-operations/availabilityblock.md#rate) object in [Mews: Process availability block](/channel-manager-api/mews-operations/availabilityblock.md#process-availability-block)         | Replaced by `prices` collection of [`Price`](/channel-manager-api/channel-manager-operations/inventory.md#price)                                                                                                                               | 12 March 2025 | -            |
| `loyaltyCode` in [Customer](/channel-manager-api/mews-operations/reservations.md#customer) object in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)                                     | Replaced by `loyaltyInfo`                                                                                                                                                                                                                      | 4 Nov 2024    | -            |
| `releasedDate` in [Dates](/channel-manager-api/channel-manager-operations/availabilityblock.md#dates) object in [CHM: Availability block](/channel-manager-api/channel-manager-operations/availabilityblock.md#availability-block) | Replaced by `fixedDate` in [`Release strategy`](/channel-manager-api/mews-operations/availabilityblock.md#release-strategy) of [`Availability block`](/channel-manager-api/channel-manager-operations/availabilityblock.md#availability-block) | 11 Oct 2024   | -            |
| `error` in [Synchronous error response](/channel-manager-api/guidelines/responses.md#synchronous-error-response)                                                                                                                   | Replaced by `errors` (plural and an `array`)                                                                                                                                                                                                   | 15 May 2024   | -            |
| `paymentType` in [`RatePlan`](/channel-manager-api/mews-operations/configuration.md#rate-plan) returned by [Mews: Get configuration](/channel-manager-api/mews-operations/configuration.md#get-configuration)                      | May yield incorrect value. More info below (\*1).                                                                                                                                                                                              | 16 May 2024   | -            |
| `channel` in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)                                                                                                                             | Replaced by `sources`                                                                                                                                                                                                                          | 26 Sep 2022   | -            |
| `iata` in [Company](/channel-manager-api/mews-operations/reservations.md#company) in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)                                                     | Replaced by `iata` in the [Travel Agency](/channel-manager-api/mews-operations/reservations.md#travel-agency) object                                                                                                                           | 26 Sep 2022   | -            |
| `adultCount` and `childCount` in [`Reservation`](/channel-manager-api/mews-operations/reservations.md#reservation) object in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)             | Replaced by `guestCounts`; **Requires re-certification**                                                                                                                                                                                       | 29 Apr 2022   | -            |
| `code` in [`Payment card`](/channel-manager-api/mews-operations/reservations.md#payment-card) object in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)                                  | Replaced by `type`                                                                                                                                                                                                                             | 08 Mar 2018   | End Apr 2018 |
| `accessToken` in all API calls on both Mews side and CHM side                                                                                                                                                                      | Replaced by `clientToken`                                                                                                                                                                                                                      | 10 Jan 2018   | End Mar 2018 |
| `connectionCode` in all API calls on both Mews side and CHM side                                                                                                                                                                   | Replaced by `connectionToken`                                                                                                                                                                                                                  | 10 Jan 2018   | End Mar 2018 |
| `code` in [`Connection Info`](/channel-manager-api/mews-operations/configuration.md#connection-info) object in [Mews: Get properties](/channel-manager-api/mews-operations/configuration.md#get-properties)                        | Replaced by `token`                                                                                                                                                                                                                            | 10 Jan 2018   | End Mar 2018 |
| `distributor` in [`Reservation`](/channel-manager-api/mews-operations/reservations.md#reservation) object in [Mews: Process group](/channel-manager-api/mews-operations/reservations.md#process-group)                             | Replaced by `channel`                                                                                                                                                                                                                          | 10 Jan 2018   | End Mar 2018 |

> **(\*1) paymentType**: We are introducing enhancements that elevate settlement rules to the enterprise level, allowing them to be assigned either to a rate group or directly to a rate. Due to the complex nature of settlement rules, which can vary within a rate group, `paymentType` is now obsolete as the value may vary depending on reservation dates, which can't be reflected in this field.

## Deprecated functionality

| Feature                                                                                  | Comments                   | Deprecated  | Discontinued |
| ---------------------------------------------------------------------------------------- | -------------------------- | ----------- | ------------ |
| [Error response codes](/channel-manager-api/guidelines/responses.md#error-codes) 4 and 5 | Use codes 9 and 10 instead | 11 Aug 2022 | -            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mews.com/channel-manager-api/deprecations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
